 .sudoku-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-height: 80vh;
  text-align: center;
} 

.topButton{
  margin-top: 1vh;
}
p{
  color: white;
}
.buttonsPannel{
  margin: 2vh;
}
 #sudoku {
  display: grid;
  grid-template-columns: repeat(9, 1fr);
  gap: 2px;
  border: 4px solid black;
  max-width: 100%;
  width: 100%;
  max-width: 360px;
  aspect-ratio: 1 / 1;
  margin-bottom: 20px;
} 

 .sudoku-input[type="text"] {
  width: 100%;
  height: 100%;
  text-align: center;
  font-size: 1.2em;
  border: 1px solid #999;
  box-sizing: border-box;
} 

 .sudoku-input[readonly] {
  background-color: #e0e0e0;
  font-weight: bold;
} 

 button {
  padding: 10px 20px;
  font-size: 16px;
  background-color: var(--accent);
  color: rgb(14, 1, 1);
  background-color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
} 

 button:hover {
  background-color: #0097a7;
} 

 #result {
  margin-top: 15px;
  font-size: 1rem;
  color: white;
} 

 
@media (max-width: 600px) {
  .sudoku-wrapper {
    padding: 10px;
  }

  #sudoku {
    max-width: 90vw;
    gap: 1px;
  }

  .sudoku-input[type="text"] {
    font-size: 1em;
  }

  button {
    width: 100%;
    max-width: 300px;
  }
  
  #about{
    height: 0vh;
    display: none;
  }
  #footer{
    height: 0vh;
    display: none;
  }
} 



.tracker {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  justify-content: center;
  margin-top: 20px;
}

.tracker div {
  padding: 6px 12px;
  background: white;
  border: 1px solid #aaa;
  border-radius: 6px;
  font-weight: bold;
  min-width: 40px;
}

.disabled {
  background: #ccc;
  color: #666;
}

.highlight {
  background-color: #fff3b0 !important; 
}